org.omg.CosNaming

## Class BindingListHelper

- java.lang.Object
- - org.omg.CosNaming.BindingListHelper

    public abstract class BindingListHelper
    extends Object

List of Bindings.

### Constructor Summary

Constructors
Constructor and Description
`BindingListHelper()`

### Method Summary

Methods
`static Binding[]` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, Binding[] that)`
`static Binding[]` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, Binding[] value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BindingListHelper

    public BindingListHelper()

### Method Detail

#### insert

    public static void insert(Any a,
              Binding[] that)

#### extract

    public static Binding[] extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static Binding[] read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
             Binding[] value)

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.